Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231819 - Do "base" install before installing applications
Summary: Do "base" install before installing applications
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 10:49 UTC by Bastien Nocera
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 15:44:18 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2007-03-12 10:49:36 UTC
If the installation fails before reaching completion, the user could be left
with an unbootable system. It would be nice if anaconda could install base
packages (small internet applications, base utilities, yum) and the bootloader
before installing the rest of the packages requested.

I had this problem when bootstrapping an FC install from Windows. A network
error meant that the installation failed to complete, and I was left with an
unbootable, half-installed system.

Comment 1 Jeremy Katz 2007-03-23 18:24:38 UTC
The problem comes in with where do you split things.  Plus, stopping in the
middle of package installation to install the bootloader makes things a bit ugly
also.  

Comment 2 David Cantrell 2007-03-30 15:44:18 UTC
There are too many issues trying to implement this.  If the install fails during
package installation, it could be in any number of states.  What if rpm failed?
 Could it be a hardware failure?  Network connectivity died?  And so on.

For all of those situations and more, we offer the rescue CD.  And now, we also
have the Live CD which is even more fun-filled than the rescue CD.


Note You need to log in before you can comment on or make changes to this bug.